#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library for reading and writing optical discs
Summary(pl.UTF-8):	Biblioteka służąca do odczytywania i zapisywania dysków optycznych
Name:		libburn
Version:	1.4.6
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://files.libburnia-project.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	eeab90dfd8b6ae95748a64009b02e4ec
URL:		http://libburnia-project.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libburn is an open-source library for reading, mastering and writing
optical discs.

%description -l pl.UTF-8
Libburn jest wolnodostępną biblioteką służącą do odczytywania,
zarządzania i zapisywania dysków optycznych.

%package devel
Summary:	Header files for libburn library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libburn
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libburn library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libburn.

%package static
Summary:	Static libburn library
Summary(pl.UTF-8):	Statyczna biblioteka libburn
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libburn library.

%description static -l pl.UTF-8
Statyczna biblioteka libburn.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTORS COPYRIGHT ChangeLog README
%attr(755,root,root) %{_bindir}/cdrskin
%attr(755,root,root) %{_libdir}/libburn.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libburn.so.4
%{_mandir}/man1/cdrskin.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libburn.so
%{_libdir}/libburn.la
%{_includedir}/libburn
%{_pkgconfigdir}/libburn-1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libburn.a
%endif
%changelog
* Wed Oct 26 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libburn.git;a=log;h=master

* Wed Oct 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 0a8a068
- updated to 1.4.6

* Sun Jul 17 2016 Jakub Bogusz <qboosh@pld-linux.org> 8191eb2
- updated to 1.4.4

* Mon Nov 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 61c56ed
- updated to 1.4.2

* Tue Jun 02 2015 Łukasz Kieś <kiesiu@pld-linux.org> d6a9631
- updated to 1.4.0

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 064bf8c
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jun 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 725303b
- updated to 1.3.8

* Thu Mar 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 50bce6a
- updated to 1.3.6

* Sat Dec 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 86bf6c1
- updated to 1.3.4

* Mon Sep 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 66b4375
- updated to 1.3.2

* Sat Jun 08 2013 Jakub Bogusz <qboosh@pld-linux.org> eb170ac
- updated to 1.3.0.pl01

* Sun May 19 2013 Jakub Bogusz <qboosh@pld-linux.org> d0bf75b
- updated to 1.3.0

* Tue Mar 19 2013 Łukasz Kieś <kiesiu@pld-linux.org> 0b87b5a
- updated to 1.2.8
- better URL

* Wed Jan 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 5bd411c
- updated to 1.2.6

* Sat Jul 21 2012 Łukasz Kieś <kiesiu@pld-linux.org> 295db3d
- updated to 1.2.4

* Tue Apr 03 2012 Łukasz Kieś <kiesiu@pld-linux.org> fb69055
- updated to 1.2.2

* Mon Jan 30 2012 Łukasz Kieś <kiesiu@pld-linux.org> 7d62105
- updated to 1.2.0

* Tue Nov 22 2011 Łukasz Kieś <kiesiu@pld-linux.org> 86c3eef
- updated to 1.1.8

* Tue Oct 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 3b28d41
- updated to 1.1.6

* Wed Aug 10 2011 Jakub Bogusz <qboosh@pld-linux.org> d85ce04
- updated to 1.1.4

* Tue Jun 21 2011 Jakub Bogusz <qboosh@pld-linux.org> a548161
- updated to 1.1.0.pl01

